MWAWRSRCParser::Version Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MWAWRSRCParser::Version Struct Reference

a public structure used to return the version More...

`#include <MWAWRSRCParser.hxx>`

## Public Member Functions
| Version ()

## Public Attributes
int | m_majorVersion
| the major number More...
int | m_minorVersion
| the minor number More...
std::string | m_string
| the major string More...
std::string | m_versionString
| the version string More...
std::string | m_extra
| extra data More...
int | m_countryCode
| the country code More...

## Friends
std::ostream & | operator<< (std::ostream &o, Version const &vers)
| operator<< More...

## Detailed Description

a public structure used to return the version

## Constructor & Destructor Documentation

## ◆ Version()

MWAWRSRCParser::Version::Version | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWRSRCParser::Version const & | vers
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_countryCode

int MWAWRSRCParser::Version::m_countryCode

the country code

Referenced by MWAWRSRCParser::parseVers(), and MacDraft5StyleManager::readVersion().

## ◆ m_extra

std::string MWAWRSRCParser::Version::m_extra

extra data

Referenced by MWAWRSRCParser::parseVers(), and MacDraft5StyleManager::readVersion().

## ◆ m_majorVersion

int MWAWRSRCParser::Version::m_majorVersion

the major number

Referenced by DocMkrParser::checkHeader(), NisusWrtParser::checkHeader(), MWAWRSRCParser::parseVers(), and MacDraft5StyleManager::readVersion().

## ◆ m_minorVersion

int MWAWRSRCParser::Version::m_minorVersion

the minor number

Referenced by MWAWRSRCParser::parseVers(), and MacDraft5StyleManager::readVersion().

## ◆ m_string

std::string MWAWRSRCParser::Version::m_string

the major string

Referenced by MacDraft5Parser::checkHeader(), MWAWRSRCParser::parseVers(), and MacDraft5StyleManager::readVersion().

## ◆ m_versionString

std::string MWAWRSRCParser::Version::m_versionString

the version string

Referenced by MWAWRSRCParser::parseVers(), and MacDraft5StyleManager::readVersion().

The documentation for this struct was generated from the following file:

- MWAWRSRCParser.hxx